use lib "./lib";

use Minilisp;
use Data::Dumper;

my $term = <<EOF;
(progn
 (defun avg-2 (a b) (/ (+ a b) 2))

 (write-line (avg-2 1 19)))
EOF

my $parsed = Minilisp::compile($term);

my $ctx = {
  'a' => "bar",
};

print "$term\n";
print ":= " . $parsed->($ctx) . "\n";
